org.restlet.engine

## Class ClientHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Client>
      - - org.restlet.engine.ClientHelper

Direct Known Subclasses:
  HttpClientHelper, LocalClientHelper, RiapClientHelper

    public class ClientHelper
    extends ConnectorHelper<Client>

Client connector helper.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ClientHelper(Client client)` Constructor.

### Method Summary

Methods
`int` `getConnectTimeout()` Returns the connection timeout.

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, start, stop, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, handle, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientHelper

    public ClientHelper(Client client)

Constructor.

Parameters:
  `client` - The client to help.

### Method Detail

#### getConnectTimeout

    public int getConnectTimeout()

Returns the connection timeout.

Returns:
  The connection timeout.